]> https://gitweb.dealii.org/ - dealii-svn.git/commitdiff
Detect and work around the following bug:
authorwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Mon, 25 Mar 2002 14:04:29 +0000 (14:04 +0000)
committerwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Mon, 25 Mar 2002 14:04:29 +0000 (14:04 +0000)
dnl /* ----------------------------------------------- */
dnl /* Problem 14: Access control. Friendship is not   */
dnl /* granted although explicitly declared.           */
dnl template <int N, int M> class T      {    void bar ();  };
dnl
dnl template <int M>        class T<1,M> {
dnl   private:
dnl     static int i;
dnl     template <int N1, int N2> friend class T;
dnl };
dnl
dnl template <int N,int M> void T<N,M>::bar () {
dnl   T<N-1,M>::i;
dnl };
dnl
dnl template class T<2,1> ;

We work around by making a certain function in the Tensor<1,dim> class public.

git-svn-id: https://svn.dealii.org/trunk@5612 0785d39b-7218-0410-832d-ea1e28bc413d

deal.II/aclocal.m4
deal.II/base/include/base/config.h.in
deal.II/base/include/base/tensor_base.h
deal.II/base/include/base/tensor_function.h
deal.II/configure
deal.II/configure.in

index b033533590639e2d4764ac4964997c88c2b138b0..0da455488dc322f742319c168474fb0d0d67e708 100644 (file)
@@ -1211,7 +1211,7 @@ of this bug.])
 
 dnl -------------------------------------------------------------
 dnl Sun's Forte compiler (at least up to the Version 7 Early Access
-dnl release) have a problem with the following code, when compiling
+dnl release) has a problem with the following code, when compiling
 dnl with debug output:
 dnl 
 dnl /* ---------------------------------------------------------- */
@@ -1264,6 +1264,71 @@ of this bug.])
 
 
 
+dnl -------------------------------------------------------------
+dnl Sun's Forte compiler (at least up to the Version 7 Early Access
+dnl release) have a problem with the following code, when compiling
+dnl with debug output:
+dnl 
+dnl /* ----------------------------------------------- */
+dnl /* Problem 14: Access control. Friendship is not   */
+dnl /* granted although explicitly declared.           */
+dnl template <int N, int M> class T      {    void bar ();  };
+dnl 
+dnl template <int M>        class T<1,M> { 
+dnl   private:
+dnl     static int i;
+dnl     template <int N1, int N2> friend class T;
+dnl };
+dnl 
+dnl template <int N,int M> void T<N,M>::bar () { 
+dnl   T<N-1,M>::i; 
+dnl };
+dnl 
+dnl template class T<2,1> ; 
+dnl /* ---------------------------------------------------------- */
+dnl
+dnl The compiler does not allow access to T<1,1>::i, although the
+dnl accessing class is explicitly marked friend.
+dnl
+dnl Usage: DEAL_II_CHECK_TEMPLATE_SPEC_ACCESS
+dnl
+dnl -------------------------------------------------------------
+AC_DEFUN(DEAL_II_CHECK_TEMPLATE_SPEC_ACCESS, dnl
+[
+  AC_MSG_CHECKING(for partially specialized template access control bug)
+  AC_LANG(C++)
+  CXXFLAGS="$CXXFLAGSG"
+  AC_TRY_COMPILE(
+    [
+       template <int N, int M> class T      {    void bar ();  };
+
+       template <int M>        class T<1,M> { 
+         private:
+           static int i;
+           template <int N1, int N2> friend class T;
+       };
+
+       template <int N,int M> void T<N,M>::bar () { 
+         T<N-1,M>::i; 
+       };
+
+       template class T<2,1> ; 
+    ],
+    [],
+    [
+      AC_MSG_RESULT(no)
+    ],
+    [
+      AC_MSG_RESULT(yes. trying to work around)
+      AC_DEFINE(DEAL_II_TEMPLATE_SPEC_ACCESS_WORKAROUND, 1, 
+                [Define if we have to work around a bug in Sun's Forte compiler.
+See the aclocal.m4 file in the top-level directory for a description
+of this bug.])
+    ])
+])
+
+
+
 
 dnl -------------------------------------------------------------
 dnl gcc2.95 doesn't have the std::iterator class, but the standard
index 5e18c6b38e0dbd951903dff1ceb9c7bc4cc6e8dd..67306167cf3a20115abea87bcf312bc95c7d904d 100644 (file)
 /* Minor version number of deal.II */
 #undef DEAL_II_MINOR
 
+/* Define if we have to work around a bug in Sun's Forte compiler. See the
+   aclocal.m4 file in the top-level directory for a description of this bug.
+   */
+#undef DEAL_II_TEMPLATE_SPEC_ACCESS_WORKAROUND
+
 /* Flag indicating whether the library shall be compiler for multithreaded
    applications */
 #undef DEAL_II_USE_MT
index 59677b7b2bbbe81d9dfb2813a378f1e3f92905d4..24eea78d27838c4e75445a48e899f38013dd1917 100644 (file)
@@ -220,25 +220,6 @@ class Tensor<1,dim>
                                      */
     static unsigned int memory_consumption ();
 
-  protected:
-                                    /**
-                                     * Help function for unroll.
-                                     */
-    void unroll_recursion (Vector<double> &result,
-                          unsigned int   &start_index) const;
-
-                                    // make the following classes
-                                    // friends to this class. in principle,
-                                    // it would suffice if otherrank==2,
-                                    // but then the compiler complains
-                                    // that this be an explicit specialization
-                                    // which is not what we want
-                                    //
-                                    // also, it would be sufficient to make
-                                    // the function unroll_loops a friend,
-                                    // but that seems to be impossible as well.
-    template<int otherrank, int otherdim>  friend class Tensor;
-
   private:
                                     /**
                                      * Store the values in a simple array.
@@ -250,6 +231,39 @@ class Tensor<1,dim>
                                      */
     double values[(dim!=0) ? (dim) : 1];
 
+#ifdef DEAL_II_TEMPLATE_SPEC_ACCESS_WORKAROUND
+  public:
+#endif
+                                    /**
+                                     * Help function for unroll. If
+                                     * we have detected an access
+                                     * control bug in the compiler,
+                                     * this function is declared
+                                     * public, otherwise private. Do
+                                     * not attempt to use this
+                                     * function from outside in any
+                                     * case, even if it should be
+                                     * public for your compiler.
+                                     */
+    void unroll_recursion (Vector<double> &result,
+                          unsigned int   &start_index) const;
+    
+  private:
+                                    /**
+                                     * Make the following classes
+                                     * friends to this class. In
+                                     * principle, it would suffice if
+                                     * otherrank==2, but that is not
+                                     * possible in C++ at present.
+                                     *
+                                     * Also, it would be sufficient
+                                     * to make the function
+                                     * unroll_loops a friend, but
+                                     * that seems to be impossible as
+                                     * well.
+                                     */
+    template<int otherrank, int otherdim>  friend class Tensor;
+
                                     /**
                                      * Point is allowed access to
                                      * the coordinates. This is
index d39991890c5b340332bc1000cedbc06f0082613f..46127f55a31a9a33507ad230988577cf2fbafd57 100644 (file)
@@ -57,17 +57,53 @@ class TensorFunction : public FunctionTime,
   public:
                                     /**
                                      * Define typedefs for the return
-                                     * types of the @p{value} and the
-                                     * @p{gradient} functions.
+                                     * types of the @p{value}
+                                     * functions.
                                      */
     typedef Tensor<rank,dim> value_type;
 
+#ifdef DEAL_II_LOCAL_TYPEDEF_COMP_WORKAROUND
+                                    /**
+                                     * Define a typedef for the
+                                     * return value of the gradient
+                                     * function.
+                                     *
+                                     * The construct here is only
+                                     * used in case we hit a certain
+                                     * bug in Sun's Forte
+                                     * compiler. See the respective
+                                     * macro in the aclocal.m4 file
+                                     * for a full description of the
+                                     * bug, or the documentation to
+                                     * the quadrature class.
+                                     *
+                                     * For better readability we
+                                     * later typedef this so-created
+                                     * type to one in the enclosing
+                                     * class.
+                                     */
     template <int dim2>
     struct GradientTypeHelper
     {
        typedef Tensor<rank+1,dim> type;
     };
+
+                                    /**
+                                     * Typedef the kludge declared
+                                     * above to a type in the class
+                                     * in which we would like to use
+                                     * it.
+                                     *
+                                     * This typedef is only used if
+                                     * the respective bug in the
+                                     * compiler is encountered,
+                                     * otherwise the proper typedef
+                                     * below is used.
+                                     */
     typedef typename GradientTypeHelper<dim>::type gradient_type;
+#else
+    typedef Tensor<rank+1,dim> gradient_type;
+#endif    
     
                                     /**
                                      * Constructor. May take an
index e806dda911602e6b9b7eb392d59ab84dc732cb4c..639be412fd088e09b75c5ca4e766060639465b5e 100755 (executable)
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.99 .
+# From configure.in Revision: 1.100 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.50.
 #
@@ -3031,8 +3031,8 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3034: checking for std::iterator class" >&5
-echo $ECHO_N "checking for std::iterator class... $ECHO_C" >&6
+  echo "$as_me:3034: checking for partially specialized template access control bug" >&5
+echo $ECHO_N "checking for partially specialized template access control bug... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3042,6 +3042,71 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
 #line 3044 "configure"
+#include "confdefs.h"
+
+       template <int N, int M> class T      {    void bar ();  };
+
+       template <int M>        class T<1,M> {
+         private:
+           static int i;
+           template <int N1, int N2> friend class T;
+       };
+
+       template <int N,int M> void T<N,M>::bar () {
+         T<N-1,M>::i;
+       };
+
+       template class T<2,1> ;
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:3070: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:3073: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:3076: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:3079: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+      echo "$as_me:3082: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+
+      echo "$as_me:3089: result: yes. trying to work around" >&5
+echo "${ECHO_T}yes. trying to work around" >&6
+
+cat >>confdefs.h <<\EOF
+#define DEAL_II_TEMPLATE_SPEC_ACCESS_WORKAROUND 1
+EOF
+
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+
+  echo "$as_me:3099: checking for std::iterator class" >&5
+echo $ECHO_N "checking for std::iterator class... $ECHO_C" >&6
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+  CXXFLAGS="$CXXFLAGSG"
+  cat >conftest.$ac_ext <<_ACEOF
+#line 3109 "configure"
 #include "confdefs.h"
 
 #include <iterator>
@@ -3057,19 +3122,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3060: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3125: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3063: \$? = $ac_status" >&5
+  echo "$as_me:3128: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3066: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3131: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3069: \$? = $ac_status" >&5
+  echo "$as_me:3134: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3072: result: yes" >&5
+      echo "$as_me:3137: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3080,13 +3145,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3083: result: no" >&5
+      echo "$as_me:3148: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3089: checking for std::i/ostringstream classes" >&5
+  echo "$as_me:3154: checking for std::i/ostringstream classes" >&5
 echo $ECHO_N "checking for std::i/ostringstream classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3096,7 +3161,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3099 "configure"
+#line 3164 "configure"
 #include "confdefs.h"
 
 #include <sstream>
@@ -3113,19 +3178,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3116: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3181: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3119: \$? = $ac_status" >&5
+  echo "$as_me:3184: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3122: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3187: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3125: \$? = $ac_status" >&5
+  echo "$as_me:3190: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3128: result: yes" >&5
+      echo "$as_me:3193: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3136,13 +3201,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3139: result: no" >&5
+      echo "$as_me:3204: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3145: checking for std::numeric_limits classes" >&5
+  echo "$as_me:3210: checking for std::numeric_limits classes" >&5
 echo $ECHO_N "checking for std::numeric_limits classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3152,7 +3217,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3155 "configure"
+#line 3220 "configure"
 #include "confdefs.h"
 
 #include <limits>
@@ -3168,19 +3233,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3171: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3236: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3174: \$? = $ac_status" >&5
+  echo "$as_me:3239: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3177: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3242: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3180: \$? = $ac_status" >&5
+  echo "$as_me:3245: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3183: result: yes" >&5
+      echo "$as_me:3248: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3191,13 +3256,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3194: result: no" >&5
+      echo "$as_me:3259: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3200: checking for <ostream> header" >&5
+  echo "$as_me:3265: checking for <ostream> header" >&5
 echo $ECHO_N "checking for <ostream> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3207,7 +3272,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3210 "configure"
+#line 3275 "configure"
 #include "confdefs.h"
 
 #include <ostream>
@@ -3222,19 +3287,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3225: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3290: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3228: \$? = $ac_status" >&5
+  echo "$as_me:3293: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3231: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3296: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3234: \$? = $ac_status" >&5
+  echo "$as_me:3299: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3237: result: yes" >&5
+      echo "$as_me:3302: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3245,13 +3310,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3248: result: no" >&5
+      echo "$as_me:3313: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3254: checking for <iosfwd> header" >&5
+  echo "$as_me:3319: checking for <iosfwd> header" >&5
 echo $ECHO_N "checking for <iosfwd> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3261,7 +3326,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3264 "configure"
+#line 3329 "configure"
 #include "confdefs.h"
 
 #include <iosfwd>
@@ -3276,19 +3341,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3279: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3344: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3282: \$? = $ac_status" >&5
+  echo "$as_me:3347: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3285: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3350: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3288: \$? = $ac_status" >&5
+  echo "$as_me:3353: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3291: result: yes" >&5
+      echo "$as_me:3356: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3299,13 +3364,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3302: result: no" >&5
+      echo "$as_me:3367: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3308: checking for __builtin_expect" >&5
+  echo "$as_me:3373: checking for __builtin_expect" >&5
 echo $ECHO_N "checking for __builtin_expect... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3315,7 +3380,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3318 "configure"
+#line 3383 "configure"
 #include "confdefs.h"
 
        bool f();
@@ -3331,19 +3396,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3334: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3399: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3337: \$? = $ac_status" >&5
+  echo "$as_me:3402: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3340: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3405: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3343: \$? = $ac_status" >&5
+  echo "$as_me:3408: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3346: result: yes" >&5
+      echo "$as_me:3411: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3354,13 +3419,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3357: result: no" >&5
+      echo "$as_me:3422: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3363: checking whether lrand48 needs to be declared with -ansi" >&5
+  echo "$as_me:3428: checking whether lrand48 needs to be declared with -ansi" >&5
 echo $ECHO_N "checking whether lrand48 needs to be declared with -ansi... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3370,7 +3435,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3373 "configure"
+#line 3438 "configure"
 #include "confdefs.h"
 
 #include <vector>
@@ -3391,26 +3456,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3394: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3459: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3397: \$? = $ac_status" >&5
+  echo "$as_me:3462: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3400: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3465: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3403: \$? = $ac_status" >&5
+  echo "$as_me:3468: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3406: result: no" >&5
+      echo "$as_me:3471: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3413: result: yes" >&5
+      echo "$as_me:3478: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3420,7 +3485,7 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3423: checking whether getrusage is properly declared" >&5
+  echo "$as_me:3488: checking whether getrusage is properly declared" >&5
 echo $ECHO_N "checking whether getrusage is properly declared... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3429,7 +3494,7 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   cat >conftest.$ac_ext <<_ACEOF
-#line 3432 "configure"
+#line 3497 "configure"
 #include "confdefs.h"
 
 #include <sys/resource.h>
@@ -3446,26 +3511,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3449: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3514: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3452: \$? = $ac_status" >&5
+  echo "$as_me:3517: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3455: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3520: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3458: \$? = $ac_status" >&5
+  echo "$as_me:3523: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3461: result: yes" >&5
+       echo "$as_me:3526: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:3468: result: no" >&5
+       echo "$as_me:3533: result: no" >&5
 echo "${ECHO_T}no" >&6
        CXXFLAGSG="$CXXFLAGSG -DNO_HAVE_GETRUSAGE"
        CXXFLAGSO="$CXXFLAGSO -DNO_HAVE_GETRUSAGE"
@@ -3473,7 +3538,7 @@ echo "${ECHO_T}no" >&6
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3476: checking whether isnan is declared with debug flags" >&5
+  echo "$as_me:3541: checking whether isnan is declared with debug flags" >&5
 echo $ECHO_N "checking whether isnan is declared with debug flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3484,7 +3549,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSG
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3487 "configure"
+#line 3552 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3501,19 +3566,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3504: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3569: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3507: \$? = $ac_status" >&5
+  echo "$as_me:3572: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3510: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3575: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3513: \$? = $ac_status" >&5
+  echo "$as_me:3578: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3516: result: yes" >&5
+       echo "$as_me:3581: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3526,7 +3591,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3529 "configure"
+#line 3594 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3543,19 +3608,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3546: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3611: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3549: \$? = $ac_status" >&5
+  echo "$as_me:3614: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3552: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3617: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3555: \$? = $ac_status" >&5
+  echo "$as_me:3620: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3558: result: yes" >&5
+         echo "$as_me:3623: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3572,7 +3637,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSG $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3575 "configure"
+#line 3640 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3589,16 +3654,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3592: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3657: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3595: \$? = $ac_status" >&5
+  echo "$as_me:3660: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3598: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3663: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3601: \$? = $ac_status" >&5
+  echo "$as_me:3666: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3611,7 +3676,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3614 "configure"
+#line 3679 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3628,16 +3693,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3631: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3696: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3634: \$? = $ac_status" >&5
+  echo "$as_me:3699: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3637: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3702: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3640: \$? = $ac_status" >&5
+  echo "$as_me:3705: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3651,16 +3716,16 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3654: result: no." >&5
+      echo "$as_me:3719: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3657: result: using $testflag" >&5
+            echo "$as_me:3722: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
     fi
   fi
 
-  echo "$as_me:3663: checking whether isnan is declared with optimized flags" >&5
+  echo "$as_me:3728: checking whether isnan is declared with optimized flags" >&5
 echo $ECHO_N "checking whether isnan is declared with optimized flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3671,7 +3736,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSO
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3674 "configure"
+#line 3739 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3688,19 +3753,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3691: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3756: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3694: \$? = $ac_status" >&5
+  echo "$as_me:3759: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3697: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3762: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3700: \$? = $ac_status" >&5
+  echo "$as_me:3765: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3703: result: yes" >&5
+       echo "$as_me:3768: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3713,7 +3778,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3716 "configure"
+#line 3781 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3730,19 +3795,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3733: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3798: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3736: \$? = $ac_status" >&5
+  echo "$as_me:3801: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3739: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3804: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3742: \$? = $ac_status" >&5
+  echo "$as_me:3807: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3745: result: yes" >&5
+         echo "$as_me:3810: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3759,7 +3824,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSO $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3762 "configure"
+#line 3827 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3776,16 +3841,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3779: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3844: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3782: \$? = $ac_status" >&5
+  echo "$as_me:3847: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3785: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3850: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3788: \$? = $ac_status" >&5
+  echo "$as_me:3853: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3798,7 +3863,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3801 "configure"
+#line 3866 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3815,16 +3880,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3818: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3883: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3821: \$? = $ac_status" >&5
+  echo "$as_me:3886: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3824: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3889: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3827: \$? = $ac_status" >&5
+  echo "$as_me:3892: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3838,10 +3903,10 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3841: result: no." >&5
+      echo "$as_me:3906: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3844: result: using $testflag" >&5
+            echo "$as_me:3909: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
     fi
@@ -3854,10 +3919,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS=$CXXFLAGSG
-  echo "$as_me:3857: checking for rand_r" >&5
+  echo "$as_me:3922: checking for rand_r" >&5
 echo $ECHO_N "checking for rand_r... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 3860 "configure"
+#line 3925 "configure"
 #include "confdefs.h"
 
 #include <cstdlib>
@@ -3874,19 +3939,19 @@ int i=rand_r(&i);
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3877: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3942: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3880: \$? = $ac_status" >&5
+  echo "$as_me:3945: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3883: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3948: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3886: \$? = $ac_status" >&5
+  echo "$as_me:3951: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3889: result: found" >&5
+         echo "$as_me:3954: result: found" >&5
 echo "${ECHO_T}found" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3897,7 +3962,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-         echo "$as_me:3900: result: no" >&5
+         echo "$as_me:3965: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
@@ -3906,13 +3971,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 for ac_func in gethostname
 do
 ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:3909: checking for $ac_func" >&5
+echo "$as_me:3974: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 3915 "configure"
+#line 3980 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -3943,16 +4008,16 @@ f = $ac_func;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3946: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4011: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:3949: \$? = $ac_status" >&5
+  echo "$as_me:4014: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:3952: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4017: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3955: \$? = $ac_status" >&5
+  echo "$as_me:4020: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$ac_ac_var=yes"
 else
@@ -3962,7 +4027,7 @@ eval "$ac_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:3965: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:4030: result: `eval echo '${'$ac_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
 if test `eval echo '${'$ac_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -3972,16 +4037,16 @@ EOF
 fi
 done
 
-echo "$as_me:3975: result: " >&5
+echo "$as_me:4040: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:3977: result: ----------------- configuring F77 compilers -----------------" >&5
+echo "$as_me:4042: result: ----------------- configuring F77 compilers -----------------" >&5
 echo "${ECHO_T}----------------- configuring F77 compilers -----------------" >&6
 
 for ac_prog in f77 g77
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3984: checking for $ac_word" >&5
+echo "$as_me:4049: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3998,7 +4063,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_F77="$ac_dir/$ac_word"
-   echo "$as_me:4001: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4066: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4009,10 +4074,10 @@ fi
 F77=$ac_cv_path_F77
 
 if test -n "$F77"; then
-  echo "$as_me:4012: result: $F77" >&5
+  echo "$as_me:4077: result: $F77" >&5
 echo "${ECHO_T}$F77" >&6
 else
-  echo "$as_me:4015: result: no" >&5
+  echo "$as_me:4080: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4027,49 +4092,49 @@ if test "x$F77" != "x" ; then
             G77_VERSION_STRING="`($F77 -v 2>&1) | grep \"gcc version\"`"
       case "$G77_VERSION_STRING" in
         *"egcs-1.1"*)
-            echo "$as_me:4030: result: F77 compiler is egcs-1.1" >&5
+            echo "$as_me:4095: result: F77 compiler is egcs-1.1" >&5
 echo "${ECHO_T}F77 compiler is egcs-1.1" >&6
             F77_VERSION=egcs1.1
             ;;
         *2.95*)
-            echo "$as_me:4035: result: F77 compiler is gcc-2.95" >&5
+            echo "$as_me:4100: result: F77 compiler is gcc-2.95" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.95" >&6
          F77_VERSION=gcc2.95
          ;;
         *2.96*)
-         echo "$as_me:4040: result: F77 compiler is gcc-2.96" >&5
+         echo "$as_me:4105: result: F77 compiler is gcc-2.96" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.96" >&6
          F77_VERSION=gcc2.96
          ;;
         *2.97*)
-         echo "$as_me:4045: result: F77 compiler is gcc-2.97" >&5
+         echo "$as_me:4110: result: F77 compiler is gcc-2.97" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.97" >&6
          F77_VERSION=gcc2.97
          ;;
         *3.0*)
-         echo "$as_me:4050: result: F77 compiler is gcc-3.0" >&5
+         echo "$as_me:4115: result: F77 compiler is gcc-3.0" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.0" >&6
          F77_VERSION=gcc3.0
          ;;
         *3.1*)
-         echo "$as_me:4055: result: F77 compiler is gcc-3.1" >&5
+         echo "$as_me:4120: result: F77 compiler is gcc-3.1" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.1" >&6
          F77_VERSION=gcc3.1
          ;;
         *3.2*)
-         echo "$as_me:4060: result: F77 compiler is gcc-3.2" >&5
+         echo "$as_me:4125: result: F77 compiler is gcc-3.2" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.2" >&6
          F77_VERSION=gcc3.2
          ;;
         *2.4* | *2.5* | *2.6* | *2.7* | *2.8*)
-                         echo "$as_me:4065: result: F77 compiler is $G77_VERSION_STRING" >&5
+                         echo "$as_me:4130: result: F77 compiler is $G77_VERSION_STRING" >&5
 echo "${ECHO_T}F77 compiler is $G77_VERSION_STRING" >&6
-         { { echo "$as_me:4067: error: F77 compiler is not supported" >&5
+         { { echo "$as_me:4132: error: F77 compiler is not supported" >&5
 echo "$as_me: error: F77 compiler is not supported" >&2;}
    { (exit 1); exit 1; }; }
          ;;
         *)
-         echo "$as_me:4072: result: F77 compiler is unknown but accepted gcc version" >&5
+         echo "$as_me:4137: result: F77 compiler is unknown but accepted gcc version" >&5
 echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
          F77_VERSION=gcc-other
          ;;
@@ -4080,7 +4145,7 @@ echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
             if test -n "`echo $F77_VERSION_STRING | grep \"XL Fortran for AIX\"`" ; then
 
                 F77_VERSION=AIXF77
-        echo "$as_me:4083: result: F77 compiler is AIX Fortran77" >&5
+        echo "$as_me:4148: result: F77 compiler is AIX Fortran77" >&5
 echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
 
       else
@@ -4088,7 +4153,7 @@ echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
                         F77_VERSION_STRING=`($F77 -V 2>&1)`
         if test -n "`echo $F77_VERSION_STRING | grep \"WorkShop Compilers\"`" ; then
 
-                 echo "$as_me:4091: result: F77 compiler is Sun WorkShop f77" >&5
+                 echo "$as_me:4156: result: F77 compiler is Sun WorkShop f77" >&5
 echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
          F77_VERSION="SunF77"
 
@@ -4096,14 +4161,14 @@ echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
 
                               F77_VERSION_STRING=`($F77 -version 2>&1)`
          if test -n "`echo $F77_VERSION_STRING | grep MIPSpro`" ; then
-           echo "$as_me:4099: result: F77 compiler is MIPSpro f77" >&5
+           echo "$as_me:4164: result: F77 compiler is MIPSpro f77" >&5
 echo "${ECHO_T}F77 compiler is MIPSpro f77" >&6
            F77_VERSION="MIPSproF77"
 
           else
 
                        F77_VERSION=
-           echo "$as_me:4106: result: F77 compiler is unkown. no flags set!" >&5
+           echo "$as_me:4171: result: F77 compiler is unkown. no flags set!" >&5
 echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
           fi
         fi
@@ -4149,7 +4214,7 @@ echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
        ;;
 
     *)
-       { { echo "$as_me:4152: error: No compiler options for F77 compiler
+       { { echo "$as_me:4217: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&5
 echo "$as_me: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&2;}
@@ -4159,9 +4224,9 @@ echo "$as_me: error: No compiler options for F77 compiler
 
 fi
 
-echo "$as_me:4162: result: " >&5
+echo "$as_me:4227: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4164: result: -------------- configuring shared/static libs ---------------" >&5
+echo "$as_me:4229: result: -------------- configuring shared/static libs ---------------" >&5
 echo "${ECHO_T}-------------- configuring shared/static libs ---------------" >&6
 
 # Check whether --enable-shared or --disable-shared was given.
@@ -4174,7 +4239,7 @@ fi;
 
 case "$target" in
    *-aix* | alpha*-linux* | alpha*-osf45* | *cygwin )
-          { echo "$as_me:4177: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
+          { echo "$as_me:4242: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
 echo "$as_me: WARNING: Shared libraries not supported on $target. Using static libs instead" >&2;}
           enableshared=no
           ;;
@@ -4199,11 +4264,11 @@ fi;
     for i in $disable_compat ; do
     case $i in
       mapping)
-        echo "$as_me:4202: result: Disabling backward compatibility feature: \"$i\"" >&5
+        echo "$as_me:4267: result: Disabling backward compatibility feature: \"$i\"" >&5
 echo "${ECHO_T}Disabling backward compatibility feature: \"$i\"" >&6
         ;;
       *)
-        { { echo "$as_me:4206: error: Backward compatibility feature \"$i\" unknown" >&5
+        { { echo "$as_me:4271: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
         ;;
@@ -4228,7 +4293,7 @@ EOF
        ;;
 
       *)
-       { { echo "$as_me:4231: error: Backward compatibility feature \"$i\" unknown" >&5
+       { { echo "$as_me:4296: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -4247,7 +4312,7 @@ else
     fi
 fi;
 if test "$enablemultigrid" = yes ; then
-   echo "$as_me:4250: result: configuring multigrid" >&5
+   echo "$as_me:4315: result: configuring multigrid" >&5
 echo "${ECHO_T}configuring multigrid" >&6
 
 cat >>confdefs.h <<\EOF
@@ -4256,19 +4321,19 @@ EOF
 
 fi
 
-echo "$as_me:4259: result: " >&5
+echo "$as_me:4324: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4261: result: ---------------- configuring additional libs ----------------" >&5
+echo "$as_me:4326: result: ---------------- configuring additional libs ----------------" >&5
 echo "${ECHO_T}---------------- configuring additional libs ----------------" >&6
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4265: checking for $TECHOME/lib/tecio.a" >&5
+echo "$as_me:4330: checking for $TECHOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TECHOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4271: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4336: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/lib/tecio.a"; then
@@ -4277,20 +4342,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4280: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4345: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TECHOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4287: checking for $TEC80HOME/lib/tecio.a" >&5
+echo "$as_me:4352: checking for $TEC80HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC80HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4293: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4358: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/lib/tecio.a"; then
@@ -4299,20 +4364,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4302: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4367: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC80HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4309: checking for $TEC90HOME/lib/tecio.a" >&5
+echo "$as_me:4374: checking for $TEC90HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC90HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4315: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4380: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/lib/tecio.a"; then
@@ -4321,20 +4386,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4324: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4389: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC90HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4331: checking for $TECHOME/include/TECIO.h" >&5
+echo "$as_me:4396: checking for $TECHOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TECHOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4337: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4402: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/include/TECIO.h"; then
@@ -4343,20 +4408,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4346: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4411: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TECHOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4353: checking for $TEC80HOME/include/TECIO.h" >&5
+echo "$as_me:4418: checking for $TEC80HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC80HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4359: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4424: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/include/TECIO.h"; then
@@ -4365,20 +4430,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4368: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4433: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC80HOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4375: checking for $TEC90HOME/include/TECIO.h" >&5
+echo "$as_me:4440: checking for $TEC90HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC90HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4381: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4446: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/include/TECIO.h"; then
@@ -4387,7 +4452,7 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4390: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4455: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC90HOME/include
@@ -4402,7 +4467,7 @@ EOF
 
   fi
 
-  echo "$as_me:4405: checking for HSL subroutines" >&5
+  echo "$as_me:4470: checking for HSL subroutines" >&5
 echo $ECHO_N "checking for HSL subroutines... $ECHO_C" >&6
   hsl_subroutines=""
   if test -r contrib/hsl/source/ma27.f ; then
@@ -4425,18 +4490,18 @@ EOF
   fi
 
   if test "x$hsl_subroutines" != "x" ; then
-    echo "$as_me:4428: result: $hsl_subroutines" >&5
+    echo "$as_me:4493: result: $hsl_subroutines" >&5
 echo "${ECHO_T}$hsl_subroutines" >&6
     USE_CONTRIB_HSL=yes
   else
-    echo "$as_me:4432: result: none found" >&5
+    echo "$as_me:4497: result: none found" >&5
 echo "${ECHO_T}none found" >&6
     USE_CONTRIB_HSL=no
   fi
 
-echo "$as_me:4437: result: " >&5
+echo "$as_me:4502: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4439: result: ------------------ checking compiler flags ------------------" >&5
+echo "$as_me:4504: result: ------------------ checking compiler flags ------------------" >&5
 echo "${ECHO_T}------------------ checking compiler flags ------------------" >&6
 
   ac_ext=cc
@@ -4446,10 +4511,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
-  echo "$as_me:4449: checking for consistency of CXXFLAGSG flags" >&5
+  echo "$as_me:4514: checking for consistency of CXXFLAGSG flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSG flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4452 "configure"
+#line 4517 "configure"
 #include "confdefs.h"
 
 int
@@ -4461,26 +4526,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4464: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4529: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4467: \$? = $ac_status" >&5
+  echo "$as_me:4532: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4470: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4535: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4473: \$? = $ac_status" >&5
+  echo "$as_me:4538: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4476: result: yes" >&5
+      echo "$as_me:4541: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4483: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4548: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4489,10 +4554,10 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
   CXXFLAGS="$CXXFLAGSO"
-  echo "$as_me:4492: checking for consistency of CXXFLAGSO flags" >&5
+  echo "$as_me:4557: checking for consistency of CXXFLAGSO flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSO flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4495 "configure"
+#line 4560 "configure"
 #include "confdefs.h"
 
 int
@@ -4504,26 +4569,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4507: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4572: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4510: \$? = $ac_status" >&5
+  echo "$as_me:4575: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4513: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4578: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4516: \$? = $ac_status" >&5
+  echo "$as_me:4581: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4519: result: yes" >&5
+      echo "$as_me:4584: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4526: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4591: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4531,9 +4596,9 @@ echo "$as_me: error: invalid combination of flags!" >&2;}
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-echo "$as_me:4534: result: " >&5
+echo "$as_me:4599: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4536: result: ---------------- configuring other programs -----------------" >&5
+echo "$as_me:4601: result: ---------------- configuring other programs -----------------" >&5
 echo "${ECHO_T}---------------- configuring other programs -----------------" >&6
 
 # Check whether --with-kdoc or --without-kdoc was given.
@@ -4543,17 +4608,17 @@ if test "${with_kdoc+set}" = set; then
 else
   kdocdir=${DEAL2_DIR}/contrib/kdoc/bin
 fi;
-  echo "$as_me:4546: checking for kdoc" >&5
+  echo "$as_me:4611: checking for kdoc" >&5
 echo $ECHO_N "checking for kdoc... $ECHO_C" >&6
 
     if test "$kdocdir" != ${DEAL2_DIR}/contrib/kdoc/bin ; then
     if test -r $kdocdir/kdoc ; then
-      echo "$as_me:4551: result: found" >&5
+      echo "$as_me:4616: result: found" >&5
 echo "${ECHO_T}found" >&6
     else
-      echo "$as_me:4554: result: not found" >&5
+      echo "$as_me:4619: result: not found" >&5
 echo "${ECHO_T}not found" >&6
-      { { echo "$as_me:4556: error: Invalid kdoc path $kdocdir/kdoc" >&5
+      { { echo "$as_me:4621: error: Invalid kdoc path $kdocdir/kdoc" >&5
 echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
    { (exit 1); exit 1; }; }
     fi
@@ -4565,7 +4630,7 @@ echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
     fi
   else
     kdocversion=`cat ${DEAL2_DIR}/contrib/kdoc/src/Version`
-    echo "$as_me:4568: result: using default version $kdocversion" >&5
+    echo "$as_me:4633: result: using default version $kdocversion" >&5
 echo "${ECHO_T}using default version $kdocversion" >&6
   fi
 
@@ -4579,7 +4644,7 @@ fi;
   if test "$docxx" = to-be-determined ; then
     # Extract the first word of ""doc++"", so it can be a program name with args.
 set dummy "doc++"; ac_word=$2
-echo "$as_me:4582: checking for $ac_word" >&5
+echo "$as_me:4647: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_docxx+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4596,7 +4661,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_docxx="$ac_dir/$ac_word"
-   echo "$as_me:4599: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4664: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4607,21 +4672,21 @@ fi
 docxx=$ac_cv_path_docxx
 
 if test -n "$docxx"; then
-  echo "$as_me:4610: result: $docxx" >&5
+  echo "$as_me:4675: result: $docxx" >&5
 echo "${ECHO_T}$docxx" >&6
 else
-  echo "$as_me:4613: result: no" >&5
+  echo "$as_me:4678: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
   else
-    echo "$as_me:4618: checking for doc++" >&5
+    echo "$as_me:4683: checking for doc++" >&5
 echo $ECHO_N "checking for doc++... $ECHO_C" >&6
     if test -x "$docxx" ; then
-      echo "$as_me:4621: result: yes" >&5
+      echo "$as_me:4686: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     else
-      echo "$as_me:4624: result: no" >&5
+      echo "$as_me:4689: result: no" >&5
 echo "${ECHO_T}no" >&6
       docxx=
     fi
@@ -4629,7 +4694,7 @@ echo "${ECHO_T}no" >&6
 
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
-echo "$as_me:4632: checking for $ac_word" >&5
+echo "$as_me:4697: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_PERL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4646,7 +4711,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_PERL="$ac_dir/$ac_word"
-   echo "$as_me:4649: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4714: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4657,18 +4722,18 @@ fi
 PERL=$ac_cv_path_PERL
 
 if test -n "$PERL"; then
-  echo "$as_me:4660: result: $PERL" >&5
+  echo "$as_me:4725: result: $PERL" >&5
 echo "${ECHO_T}$PERL" >&6
 else
-  echo "$as_me:4663: result: no" >&5
+  echo "$as_me:4728: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 subdirs="$subdirs contrib tests"
 
-echo "$as_me:4669: result: " >&5
+echo "$as_me:4734: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4671: result: --------------------- generating output ---------------------" >&5
+echo "$as_me:4736: result: --------------------- generating output ---------------------" >&5
 echo "${ECHO_T}--------------------- generating output ---------------------" >&6
 
 ac_config_files="$ac_config_files common/Make.global_options common/Makefile.template doc/Makefile doc/auto/Makefile doc/auto/kdoc/Makefile"
@@ -4697,7 +4762,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:4700: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:4765: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -4869,7 +4934,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:4872: error: ambiguous option: $1
+    { { echo "$as_me:4937: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -4896,12 +4961,12 @@ Try \`$0 --help' for more information." >&2;}
   'base/include/base/config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS base/include/base/config.h" ;;
 
   # This is an error.
-  -*) { { echo "$as_me:4899: error: unrecognized option: $1
+  -*) { { echo "$as_me:4964: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
    { (exit 1); exit 1; }; } ;;
-  *) { { echo "$as_me:4904: error: invalid argument: $1" >&5
+  *) { { echo "$as_me:4969: error: invalid argument: $1" >&5
 echo "$as_me: error: invalid argument: $1" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -5153,7 +5218,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:5156: creating $ac_file" >&5
+    { echo "$as_me:5221: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -5171,7 +5236,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5174: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5239: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5184,7 +5249,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5187: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5252: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5244,7 +5309,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:5247: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:5312: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -5255,7 +5320,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5258: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5323: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5268,7 +5333,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5271: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5336: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5385,7 +5450,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:5388: $ac_file is unchanged" >&5
+      { echo "$as_me:5453: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -5489,7 +5554,7 @@ if test "$no_recursion" != yes; then
     # parts of a large source tree are present.
     test -d $srcdir/$ac_subdir || continue
 
-    { echo "$as_me:5492: configuring in $ac_subdir" >&5
+    { echo "$as_me:5557: configuring in $ac_subdir" >&5
 echo "$as_me: configuring in $ac_subdir" >&6;}
     case $srcdir in
     .) ;;
@@ -5511,7 +5576,7 @@ done; }
 
        if test -d ./$ac_subdir; then :;
        else
-         { { echo "$as_me:5514: error: cannot create \`pwd\`/$ac_subdir" >&5
+         { { echo "$as_me:5579: error: cannot create \`pwd\`/$ac_subdir" >&5
 echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
        fi
@@ -5542,7 +5607,7 @@ echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
     elif test -f $ac_sub_srcdir/configure.in; then
       ac_sub_configure=$ac_configure
     else
-      { echo "$as_me:5545: WARNING: no configuration information is in $ac_subdir" >&5
+      { echo "$as_me:5610: WARNING: no configuration information is in $ac_subdir" >&5
 echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
       ac_sub_configure=
     fi
@@ -5556,12 +5621,12 @@ echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
         ac_sub_cache_file=$ac_dots$cache_file ;;
       esac
 
-      { echo "$as_me:5559: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
+      { echo "$as_me:5624: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
 echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
       # The eval makes quoting arguments work.
       eval $ac_sub_configure $ac_sub_configure_args \
            --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
-        { { echo "$as_me:5564: error: $ac_sub_configure failed for $ac_subdir" >&5
+        { { echo "$as_me:5629: error: $ac_sub_configure failed for $ac_subdir" >&5
 echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
     fi
index 53fa3689d2f6c314d788bda49b39da02923812a5..d5e53ce2d59398e43240810166c0628bd0219669 100644 (file)
@@ -151,6 +151,7 @@ DEAL_II_CHECK_ASSERT_THROW(optimized, $CXXFLAGSO,
                            [CXXFLAGSO="-DDISABLE_ASSERT_THROW $CXXFLAGSO"])
 DEAL_II_CHECK_IBM_XLC_ERROR
 DEAL_II_CHECK_LOCAL_TYPEDEF_COMP
+DEAL_II_CHECK_TEMPLATE_SPEC_ACCESS
 DEAL_II_HAVE_STD_ITERATOR
 DEAL_II_HAVE_STD_STRINGSTREAM
 DEAL_II_HAVE_STD_NUMERIC_LIMITS

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.